{ pkgs, ... }:

let
	networkManagerEnabled = true;
	wirelessEnabled = false;
in {
	networking.networkmanager.enable = pkgs.lib.mkIf networkManagerEnabled true;

	networking.wireless.enable = pkgs.lib.mkIf wirelessEnabled true;
	networking.wireless.userControlled.enable = pkgs.lib.mkIf wirelessEnabled true;

	networking.wireless.networks = pkgs.lib.mkIf wirelessEnabled {
		"5tfd".pskRaw = "e381f969c2b7ae84b07844e4cefa91b0b584970e318865e55b77041d03adf532";
		"2.4tfd".pskRaw = "1dc59803e4b4eb026bad93f17964ac2e3040b35ba6c164bd4276d43ef0143aa5";
	};
}
